org.deidentifier.arx.framework.check.history

## Class MRUCache.MRULinkedListIterator

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCache.MRULinkedListIterator

All Implemented Interfaces:
  java.util.Iterator<T>

Enclosing class:
  MRUCache<T>

    public class MRUCache.MRULinkedListIterator
    extends java.lang.Object
    implements java.util.Iterator<T>

The Class MRULinkedListIterator.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`MRULinkedListIterator(MRUCache<T> l)` Instantiates a new iterator.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### MRULinkedListIterator

    public MRULinkedListIterator(MRUCache<T> l)

Instantiates a new iterator.

Parameters:
  `l` -

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `java.util.Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<T>`